library(mva)

#       ( )
# :   /      

pl <- read.table("mold2003.dat", h=T, sep="\t")
ml <- read.table("../../../data/ml-isl2.dat", h=T, sep=";")
ml.pl <- merge(ml, pl, by=0, all=T)
row.names(ml.pl) <- ml.pl$Row.names
ml.pl <- ml.pl[,-1]
ml.pl <- as.matrix(ml.pl)
ml.pl[is.na(ml.pl)] <- 0
ml.pl.h <- hclust(dist(t(ml.pl), method="manhattan"), method="ward")
x11()
plot(ml.pl.h, main="Moldino islands/sites")

# ===========================

vpul <- read.table("../../../data/vp-isl2.dat", h=T, sep=";")
vpul <- as.matrix(vpul)
vpul[vpul > 0] <- 1

x11()
vp.t.h <- hclust(dist(t(vpul), method="manhattan"), method="ward")
plot(vp.t.h, main="V. Pul. islands: clustering")
vp.cl <- cutree (vp.t.h, k=2)

ws <- read.table("../../../data/ws-isl2.dat", h=T, sep=";")
ws <- as.matrix(ws)
ws[ws > 0] <- 1
 
ws.vpul <- merge(vpul, ws, by=0, all=T)
row.names(ws.vpul) <- ws.vpul$Row.names
ws.vpul <- as.matrix(ws.vpul)
ws.vpul[is.na(ws.vpul)] <- 0
ws.vpul <- ws.vpul[,-1]

ws.vpul.h <- hclust(dist(t(ws.vpul), method="manhattan"), method="ward")
x11()
plot(ws.vpul.h, main="White sea all islands: clustering")
ws.vpul.cl <- cutree(ws.vpul.h, k=4)

uch01 <- read.table("../../../../moldino/data/z-uch01.dat", h=T, sep=";")
uch02 <- read.table("../../../../moldino/data/z-uch02.dat", h=T, sep=";")
uch <- merge(uch01, uch02, by=0, all=T)
row.names(uch) <- uch$Row.names
uch <- as.matrix(uch)
uch[is.na(uch)] <- 0
uch <- uch[,-1]

ml <- read.table("../../../data/ml-isl2.dat", h=T, sep=";")
ml <- as.matrix(ml)
ml[ml > 0] <- 1
ml.uch <- merge(ml, uch, by=0, all=T)
row.names(ml.uch) <- ml.uch$Row.names
ml.uch <- as.matrix(ml.uch)
ml.uch[is.na(ml.uch)] <- 0
ml.uch <- ml.uch[,-1]

ml.uch.h <- hclust(dist(t(ml.uch), method="manhattan"), method="ward")
x11()
plot(ml.uch.h, main="Moldino islands and spots: clustering")
ml.uch.cl <- cutree(ml.uch.h, k=2)

ml.h <- hclust(dist(t(ml), method="manhattan"), method="ward")
x11()
plot(ml.h, main="Moldino islands: clustering")

all <- merge(ml.uch, ws.vpul, by=0, all=T)
row.names(all) <- all$Row.names
all <- as.matrix(all)
all[is.na(all)] <- 0
all <- all[,-1]

all.h <- hclust(dist(t(all), method="manhattan"), method="ward")
x11()
plot(all.h, main="Moldino islands and spots, V.P. and WS islands")

ml.uch.vp <- merge(ml.uch, vpul, by=0, all=T)
row.names(ml.uch.vp) <- ml.uch.vp$Row.names
ml.uch.vp <- as.matrix(ml.uch.vp)
ml.uch.vp[is.na(ml.uch.vp)] <- 0
ml.uch.vp <- ml.uch.vp[,-1]

x11()
ml.uch.vp.h <- hclust(dist(t(ml.uch.vp), method="manhattan"), method="ward")
plot (ml.uch.vp.h, main="Moldino and V.P. islands and Moldino spots")
ml.uch.vp.cl <- cutree(ml.uch.vp.h, k=3)